require 'bigdecimal'

module Bacardi
  
  class Notification
    def initialize(notifier)
      @notifier = notifier
    end
    
    def paid_currency
      @notifier.currency
    end
    
    def paid_gross
      BigDecimal.new((@notifier.gross.to_f.abs.to_i) * 100)
    end
    
    def confirmation_number
      @notifier.invoice
    end
    
    def receiver_email
      @notifier.account
    end
  end
  
end