require 'bigdecimal'

module Bacardi
  class Payment
    def initialize(transaction)
      @transaction = transaction
    end
    
    def actual_currency
      @transaction.currency
    end
    
    def actual_gross
      BigDecimal.new((@transaction.gross.to_f.abs.to_i) * 100)
    end
  end
end