require 'money'

module Bacardi
  class ProductAmount
    def initialize(notification, payment)
      @notification = notification
      @payment = payment
    end
    
    def correct?
      actual_gross = @payment.actual_gross
      actual_currency = @payment.actual_currency
      paid_gross = @notification.paid_gross
      paid_currency = @notification.paid_currency
      
      actual = ::Money.new(actual_gross, actual_currency)
      paid = ::Money.new(paid_gross, paid_currency)
      actual == paid
    end
  end
  
end